import AuthService from '../auth-service';

/**
 * 认证日志权限服务对象基类
 *
 * @export
 * @class SysAuthLogAuthServiceBase
 * @extends {AuthService}
 */
export default class SysAuthLogAuthServiceBase extends AuthService {

    /**
     * Creates an instance of  SysAuthLogAuthServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  SysAuthLogAuthServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 根据当前数据获取实体操作标识
     *
     * @param {string} name 实体名称
     * @returns {Promise<any>}
     * @memberof SysAuthLogAuthServiceBase
     */
    public async getOPPrivs(data:any):Promise<any>{
        return null;
    }

}